/*
* JBoss, Home of Professional Open Source
*
* Distributable under LGPL license.
* See terms of license at gnu.org.
*/
//$Id: Customer.java,v 1.1.2.4 2005/09/27 01:49:16 starksm Exp $
package org.jboss.tutorial.extended.bean;

import javax.persistence.Entity;
import javax.persistence.GeneratorType;
import javax.persistence.Id;

/**
 * Company customer
 *
 * @author Emmanuel Bernard
 */
@Entity
public class Customer implements java.io.Serializable
{
   long id;
   String name;

   public
   Customer()
   {
   }

   @Id(generate = GeneratorType.IDENTITY)
   public
   long getId()
   {
      return id;
   }

   public
   String getName()
   {
      return name;
   }

   public
   void setId(long long1)
   {
      id = long1;
   }

   public
   void setName(String string)
   {
      name = string;
   }

}

